Subject: Re: bug#57012: Activating versus raising frames

From: Po Lu <[email-masked]>
Date: Sat, 06 Aug 2022 09:44:24 +0800

Daniel Colascione <[email-masked]> writes:

> I noticed that raising an Emacs frame (latest master) with emacsclient
> does nothing under current Cinnamon. Emacs gains focus, but the
> focused window isn't raised.
>
> I can reproduce the problem with xdotool's windowraise command, which
> similarly did nothing. xdotool windowactivate works though, so I'm
> guessing the EWMH activate code in xterm.c would similarly do the
> trick. Emacs used to use EWMH activate on frame raise but stopped in
> 2007 to work around deadlocks in a version of metacity in use at the
> time. Can we once again activate Emacs frames on raise?

Wouldn't it make more sense for emacsclient to focus the frame, which
does activate it by default?